%kmdl cx88

Summary: A V4L2 driver for the conexant 2388x chip family.
Name: cx88
Version: 0.0.4
Release: 9.1.2%{?dist}
Epoch: 1
License: GPL
Group: Applications/Multimedia
URL: http://bytesex.org/cx88/
Source0: http://dl.bytesex.org/releases/video4linux/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl
%kmdl_parentdependencies

%description
This is a v4l2 device driver for TV cards based on the conexant 2388x
chip family. Most prominent piece of hardware are the recent Hauppauge
WinTV cards.

%package -n %kmdl_name
%kmdl_dependencies
Summary: A V4L2 driver for the conexant 2388x chip family.
Group: System Environment/Kernel

%description -n %kmdl_name
This is a v4l2 device driver for TV cards based on the conexant 2388x
chip family. Most prominent piece of hardware are the recent Hauppauge
WinTV cards.

%kmdl_desc

%prep
%setup -q
perl -pi -e's/^install/old_install/' Makefile
cat >> Makefile <<"EOF"
DEST		:= %{buildroot}%{kmdl_moduledir}/drivers/video/media
install::
	strip --strip-debug $(inst-m)
	mkdir -p $(DEST)
	cp -v $(inst-m) $(DEST)
EOF

%build
%if %{kmdl_userland}
%else
%kmdl_config

make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` modules

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

mkdir -p %{buildroot}

%else

%makeinstall

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc doc/*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/video/media/*

%endif

%changelog
* Fri May 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.4.

* Sun Dec 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.1.

* Tue Sep 30 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


